
D4Science Infrastructure - Incident #6484

Undeploy of gCubeApps/PGFA-UFMT VRE failed but looks OK in the VRE Modeler status

Jan 18, 2017 06:45 PM - Massimiliano Assante

Status: Closed Start date: Jan 18, 2017

Priority: High Due date: Jan 19, 2017

Assignee: Roberto Cirillo % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: Moving some VRE of gCubeApps under

D4Research VO 

  

Infrastructure: Production   

Description

I triggered the undeploy of  gCubeApps/PGFA-UFMT VRE and the VRE Modeler status returns disposed:

https://services.d4science.org/group/gcubeapps/vre-deployment

However, in the monitor under gCubeApps the Generic Resource of type VRE with name PGFA-UFMT is still there 

Related issues:

Blocks D4Science Infrastructure - Task #6475: Undeploy gCubeApps/PGFA-UFMT VR... Closed Jan 18, 2017 Jan 18, 2017

History

#1 - Jan 18, 2017 06:45 PM - Massimiliano Assante

- Blocks Task #6475: Undeploy gCubeApps/PGFA-UFMT VRE and deploy under D4Research VO added

#2 - Jan 19, 2017 10:22 AM - Roberto Cirillo

- Status changed from New to In Progress

- Assignee changed from Lucio Lelii to Roberto Cirillo

The VRE above, results as removed for VREModeler service: it results as disposed in the VREModeler service

and it results as removed for ResourceManager service: it is not present on ResourceManager internal state.

So I'm going to remove manually the GenericResource.  

#3 - Jan 19, 2017 10:46 AM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

I've recreated the scope PGFA-UFMT by resource-manager and I've removed manually all the resources belonging to this VRE (There were several

ServiceEndpoint and services belonging to this VRE).

After that, I've recalled the disposeScope method on ResourceManager service and the VRE has been correctly disposed.
